23.10.2018, 11:37 UTC+2

Вы не зарегистрированы.

  • Войти
  • Зарегистрироваться

Дорогой посетитель мы рады вас приветствовать на: Allrussian Board Русскоязычный форум в Германии. Если это Ваше первое посещение этого сайта, то прочитайте, пожалуйста, помощь . Там Вы узнаете о возможностях управления сайтом. Чтобы использовать все возможности сайта Вы должны зарегистрироваться. Для этого используйте Регистрационный формуляр. Вы можете прочитать подробности регистрационного процесса. Если Вы уже регистрировались, здесь Вы можете войти.

Laowai Мужской

Продвинутый

Дата регистрации: 27.10.2005

Сообщения: 279

Пол: Мужской

Место проживания: на Волге

1

30.12.2007, 19:02

kernel, headers и драйвер wifi

никак не могу запустить wifi. m-a выдает что kernel configuration FAILED.
если делаю просто make в директории madwifi, то драйвер компилится, и конфигурация кернеля правильная, но при dmesg выдает:
ath_pci: disagrees about version of symbol struct_module
wlan: disagrees about version of symbol struct_module
те либо драйвер скомпилился не тот или версия кернеля не та. драйвер должен скомпилится тот тк в инструкции он поддерживает чип. а вот с кернелем не могу разобраться. дело в том что у меня стоял кернель 2.6.20.2, потом поставил кернель от bikalexa 2.6.23.1. в menu.lst стоит:
/boot/vmlinuz-2.6.23.1 root=vmlinuz video=matroxfb root=/dev/hda1 acpi=force quiet
те загружается 2.6.23.1, но vmlinuz показывает на 2.6.20.2
сейчас поставил сырцы и хедеры 2.6.23.1.
может надо было ставить 2.6.20.2? кто подскажет, в каком направлении копать.
зы всех на наступающим




_______________
  • К началу страницы

Bikalexander Мужской

Мастер

Дата регистрации: 05.11.2002

Сообщения: 1 984

Пол: Мужской

Место проживания: Germany

Увлечения: VDR

2

31.12.2007, 15:31

А что за карта то? И где ты для неё дарйверы скачивал?




_______________
  • К началу страницы

Laowai Мужской

Продвинутый

Дата регистрации: 27.10.2005

Сообщения: 279

Пол: Мужской

Место проживания: на Волге

3

02.01.2008, 13:42

Цитата

Со слов пользователя Bikalexander
А что за карта то? И где ты для неё дарйверы скачивал?

карта TP-Link, чип Atheros AR2413A. драйвера поддерживаются madwifi, скачивал с их сайта: http://www.madwifi.org у меня вопрос только по компиляции, тк реально стоит твой кернель, uname -r показывает 2.6.23.1 а раньше стоял 2.6.20.2 и на него указывает vmlinuz в menu.lst. у меня пока один вопрос: мне компилить драйвера с сырцами 2.6.23.1 или 2.6.20.2?




_______________
  • К началу страницы

free-x Мужской

Гуру

Дата регистрации: 16.07.2003

Сообщения: 5 960

Пол: Мужской

Место проживания: там, за горизонтом

Увлечения: Семья,Linux, VDR

4

02.01.2008, 13:44

собиратЭ с сзрцами того ядра которое тебе показавает "uname -r"




_______________
T90: 28.2E-19.2E-S13E-S9E-S4.8E-S4W
VDR#1: Ubuntu 8.04+VDR-1.7.10+S2API+eHD TeVii S650
VDR#2: Ubuntu 8.04+ArVDR 0.7 SS1 Rev.1.3
VDR#3: Ubuntu 9.04+VDR-1.7.12+S2API+VDPAU(GeForce 8400 GS)+xine-0.9.3 TT S2-3200
А ты помог RuVDRWiki?
  • К началу страницы

Laowai Мужской

Продвинутый

Дата регистрации: 27.10.2005

Сообщения: 279

Пол: Мужской

Место проживания: на Волге

5

22.01.2008, 17:43

uname -r показывает 2.6.18-5-686
но на www.kernel.org нет таких сырцов. где их можно скачать? или 2.6.18.5 это то что надо?




_______________
  • К началу страницы

schpuntik Мужской

Самоделкин

Дата регистрации: 21.04.2003

Сообщения: 1 745

Благодарностей: 179

Пол: Мужской

Место проживания: Город с самой большой торговой площадью в Германии

Увлечения: Elektronik,Sat,Auto,CNC

6

22.01.2008, 21:19

apt-get install linux-source-2.6.18-5-686 примерно так . Если не правильно то подправьте.




_______________
AR-P team member == Amiko Alien SHD-8900, Amiko Alien2 . Все вопросы по имеджу пишите в соответсвующей теме. На телеграммы отвечать не буду. Все логи выкладывать на pastebin.com!! Posted yours logs on pastebin.com

Хочешь знать правду смотри http://www.klagemauer.tv/
  • К началу страницы

Laowai Мужской

Продвинутый

Дата регистрации: 27.10.2005

Сообщения: 279

Пол: Мужской

Место проживания: на Волге

7

23.01.2008, 15:41

apt-get update
apt-get install linux-source-2.6.18-5-686
Reading package lists... Done
Building dependency tree... Done
E: Couldn't find package linux-source-2.6.18-5-686

нет такого. если нет других вариантов, придется, наверно, менят кернель и ставить под него уже сырцы




_______________
  • К началу страницы

Bikalexander Мужской

Мастер

Дата регистрации: 05.11.2002

Сообщения: 1 984

Пол: Мужской

Место проживания: Germany

Увлечения: VDR

8

23.01.2008, 19:26

Если не знаем как точно называется пакет, тогда ищем следущим образом:

Исходный текст

1
apt-cache search linux-source




_______________
  • К началу страницы

BNXVS Мужской

Школьник

Дата регистрации: 20.12.2005

Сообщения: 139

Пол: Мужской

Место проживания: Astana, KZ

9

25.01.2008, 04:29

Хм. А не проще полностью пересобрать ядро ? Делов то на пару часов...
WiKi
http://my-debian.blogspot.com/2007/10/blog-post_29.html
ну и google конечно... =)




_______________
  • К началу страницы

Laowai Мужской

Продвинутый

Дата регистрации: 27.10.2005

Сообщения: 279

Пол: Мужской

Место проживания: на Волге

10

25.01.2008, 15:41

да, так и сделал. смущали эти -5-686, но это как варианты, по-моему. kernel 2.6.18.




_______________
  • К началу страницы


Рыбалка    покупка, ремонт, аренда дома или квартиры в Германии

Lr Shop,Jungle Man Parfüm und Colostrum bestellen in Deutschland und Aloe vera gel

Lr Joyce Schmuck

Lr Jungle Man Parfüm



TopList